#include <iostream>

using namespace std;
struct rezultat{
    int prvi;
    int drugi;
};
string logic(rezultat p1,rezultat p2){
    string s;
    if(p1.prvi==p2.prvi && p1.drugi==p2.drugi){
        s="nijedan";
        return s;
    }
    if(p1.prvi==p2.prvi && p1.drugi!=p2.drugi){
        s="drugi";
    return s;
    }
    if(p1.prvi!=p2.prvi && p1.drugi==p2.drugi){
        s="prvi";
        return s;
    }
    if(p1.prvi!=p2.prvi && p1.drugi!=p2.drugi){
        s="?";
    return s;
    }

}
int main()
{
    rezultat poluvreme,kraj;
    cin>>kraj.prvi>>kraj.drugi>>poluvreme.prvi>>poluvreme.drugi;
    string s=logic(poluvreme,kraj);
    cout<<s<<endl;
    return 0;
}